Bug 91031 - gdm doesnt pass the name of the shell
gdm doesnt pass the name of the shell
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-05-16 13:30 EDT by Michael Blandford
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-17 00:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to resolve the problem (556 bytes, patch)
2003-05-16 13:32 EDT, Michael Blandford
no flags Details | Diff

  None (edit)
Description Michael Blandford 2003-05-16 13:30:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
gdm fails to pass the name of the shell.  This is a common oversight by
people who do not understand or expect wrappers and other programs
that switch behavior based on the name passed to argv[0] using exec

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set your login shell to a wrapper program that calls another program based on
2. Log in

Actual Results:  You would get logged out immediately.  It makes using local
display and remote via xdmcp impossible.

Additional info:

I will be including a patch to fix the problem.
Comment 1 Michael Blandford 2003-05-16 13:32:00 EDT
Created attachment 91735 [details]
Patch to resolve the problem
Comment 2 Havoc Pennington 2003-05-16 17:03:04 EDT
hmm, bugzilla got confused - in the comment, the attachment ID is wrong 
(91736 should be 91735 as in the attachment list)

anyhow, cc'ing gdm author.
Comment 3 George Lebl 2003-05-16 23:41:27 EDT
I fixed this bug in CVS.  I believe redhat doesn't have this bug does it?  I
thought redhat just reworked this part of the source to force bash always.
Comment 4 Havoc Pennington 2003-05-17 00:08:41 EDT
Ah, sorry about that. We probably don't have this bug or any change to this part
of the source at all anymore; the bug is reported against Advanced Server 2.1
which is GNOME 1.x.

Looking at the current code, it's completely different (just runs 
a script, doesn't invoke the user's shell directly). This will be 
in the next release of RHEL.

Note You need to log in before you can comment on or make changes to this bug.